
# ==================================================
# Exemple de rgression linaire avec la commande lm
# ==================================================

# on stocke les donnes de data.txt dans lobjet klein
klein = read.table("data.txt", header=TRUE)
klein                           # pour voir
fix(klein)                      # pour diter (refermer la fentre d'dition pour poursuivre)

summary(klein)                  # pour des dtails

summary(wtot)                   # appel nominatif impossible
attach(klein)
summary(wtot)                   # wtot est  prsent connu

# la commande lm

help(lm)                        # si on veut lire la documentation

lm(cons~p+plag+wtot)            # la rgression
reg = lm(cons~p+plag+wtot)
reg                             # reproduit laffichage minimal des rsultats
summary(reg)                    # affiche les rsultats dtaills

reg$residuals                   # les rsidus
reg$fitted                      # la srie ajuste
plot(reg$residuals)             # on figure les rsidus
lines(reg$residuals)            # idem avec la ligne qui les joint
plot(wtot, reg$residuals)       # un graphique crois

# la "stepwise regression"
step(reg)

